<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_AlarmMessages StructType
 * @subpackage Structs
 */
class Get_AlarmMessages extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The AlarmMessageSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\AlarmMessageSelection
     */
    public $AlarmMessageSelection;
    /**
     * Constructor method for Get_AlarmMessages
     * @uses Get_AlarmMessages::setLogin()
     * @uses Get_AlarmMessages::setAlarmMessageSelection()
     * @param \StructType\Login $login
     * @param \StructType\AlarmMessageSelection $alarmMessageSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\AlarmMessageSelection $alarmMessageSelection = null)
    {
        $this
            ->setLogin($login)
            ->setAlarmMessageSelection($alarmMessageSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_AlarmMessages
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get AlarmMessageSelection value
     * @return \StructType\AlarmMessageSelection|null
     */
    public function getAlarmMessageSelection()
    {
        return $this->AlarmMessageSelection;
    }
    /**
     * Set AlarmMessageSelection value
     * @param \StructType\AlarmMessageSelection $alarmMessageSelection
     * @return \StructType\Get_AlarmMessages
     */
    public function setAlarmMessageSelection(\StructType\AlarmMessageSelection $alarmMessageSelection = null)
    {
        $this->AlarmMessageSelection = $alarmMessageSelection;
        return $this;
    }
}
